package domain


type AlibabaWdkSkuFeatureSkuFeatureDo struct {
    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        门店编码，用来给特定门店商品标记     */
    OuCode  *string `json:"ou_code,omitempty" `

    /*
        机构编码, 可以指定机构的商品标记，如果要全量商品请填写商家编码     */
    OrgCode  *string `json:"org_code,omitempty" `

    /*
        渠道编码，     */
    ChannelCode  *string `json:"channel_code,omitempty" `

    /*
        标记编码，需要和调用方约定     */
    FeatureCode  *string `json:"feature_code,omitempty" `

    /*
        标记值，需要和调用方约定     */
    FeatureValue  *string `json:"feature_value,omitempty" `

    /*
        是否添加，默认是添加 defalutValue:true    */
    Add  *bool `json:"add,omitempty" `

}

func (s *AlibabaWdkSkuFeatureSkuFeatureDo) SetSkuCode(v string) *AlibabaWdkSkuFeatureSkuFeatureDo {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkSkuFeatureSkuFeatureDo) SetOuCode(v string) *AlibabaWdkSkuFeatureSkuFeatureDo {
    s.OuCode = &v
    return s
}
func (s *AlibabaWdkSkuFeatureSkuFeatureDo) SetOrgCode(v string) *AlibabaWdkSkuFeatureSkuFeatureDo {
    s.OrgCode = &v
    return s
}
func (s *AlibabaWdkSkuFeatureSkuFeatureDo) SetChannelCode(v string) *AlibabaWdkSkuFeatureSkuFeatureDo {
    s.ChannelCode = &v
    return s
}
func (s *AlibabaWdkSkuFeatureSkuFeatureDo) SetFeatureCode(v string) *AlibabaWdkSkuFeatureSkuFeatureDo {
    s.FeatureCode = &v
    return s
}
func (s *AlibabaWdkSkuFeatureSkuFeatureDo) SetFeatureValue(v string) *AlibabaWdkSkuFeatureSkuFeatureDo {
    s.FeatureValue = &v
    return s
}
func (s *AlibabaWdkSkuFeatureSkuFeatureDo) SetAdd(v bool) *AlibabaWdkSkuFeatureSkuFeatureDo {
    s.Add = &v
    return s
}
